% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/generics.R, R/functions.R
\docType{methods}
\name{to_date}
\alias{to_date}
\alias{to_date,Column,missing-method}
\alias{to_date,Column,character-method}
\title{to_date}
\usage{
to_date(x, format)

\S4method{to_date}{Column,missing}(x, format)

\S4method{to_date}{Column,character}(x, format)
}
\arguments{
\item{x}{Column to parse.}

\item{format}{string to use to parse x Column to DateType. (optional)}
}
\description{
Converts the column into a DateType. You may optionally specify a format
according to the rules in:
\url{http://docs.oracle.com/javase/tutorial/i18n/format/simpleDateFormat.html}.
If the string cannot be parsed according to the specified format (or default),
the value of the column will be null.
The default format is 'yyyy-MM-dd'.
}
\note{
to_date(Column) since 1.5.0

to_date(Column, character) since 2.2.0
}
\examples{
\dontrun{
to_date(df$c)
to_date(df$c, 'yyyy-MM-dd')
}
}
\seealso{
Other datetime_funcs: \code{\link{add_months}},
  \code{\link{date_add}}, \code{\link{date_format}},
  \code{\link{date_sub}}, \code{\link{datediff}},
  \code{\link{dayofmonth}}, \code{\link{dayofyear}},
  \code{\link{from_unixtime}},
  \code{\link{from_utc_timestamp}}, \code{\link{hour}},
  \code{\link{last_day}}, \code{\link{minute}},
  \code{\link{months_between}}, \code{\link{month}},
  \code{\link{next_day}}, \code{\link{quarter}},
  \code{\link{second}}, \code{\link{to_timestamp}},
  \code{\link{to_utc_timestamp}},
  \code{\link{unix_timestamp}}, \code{\link{weekofyear}},
  \code{\link{window}}, \code{\link{year}}

Other datetime_funcs: \code{\link{add_months}},
  \code{\link{date_add}}, \code{\link{date_format}},
  \code{\link{date_sub}}, \code{\link{datediff}},
  \code{\link{dayofmonth}}, \code{\link{dayofyear}},
  \code{\link{from_unixtime}},
  \code{\link{from_utc_timestamp}}, \code{\link{hour}},
  \code{\link{last_day}}, \code{\link{minute}},
  \code{\link{months_between}}, \code{\link{month}},
  \code{\link{next_day}}, \code{\link{quarter}},
  \code{\link{second}}, \code{\link{to_timestamp}},
  \code{\link{to_utc_timestamp}},
  \code{\link{unix_timestamp}}, \code{\link{weekofyear}},
  \code{\link{window}}, \code{\link{year}}
}
\concept{datetime_funcs}
