% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/generics.R, R/functions.R
\docType{methods}
\name{to_json}
\alias{to_json}
\alias{to_json,Column-method}
\title{to_json}
\usage{
to_json(x, ...)

\S4method{to_json}{Column}(x, ...)
}
\arguments{
\item{x}{Column containing the struct or array of the structs}

\item{...}{additional named properties to control how it is converted, accepts the same options
as the JSON data source.}
}
\description{
Converts a column containing a \code{structType} or array of \code{structType} into a Column
of JSON string. Resolving the Column can fail if an unsupported type is encountered.
}
\note{
to_json since 2.2.0
}
\examples{
\dontrun{
# Converts a struct into a JSON object
df <- sql("SELECT named_struct('date', cast('2000-01-01' as date)) as d")
select(df, to_json(df$d, dateFormat = 'dd/MM/yyyy'))

# Converts an array of structs into a JSON array
df <- sql("SELECT array(named_struct('name', 'Bob'), named_struct('name', 'Alice')) as people")
select(df, to_json(df$people))
}
}
\seealso{
Other normal_funcs: \code{\link{abs}},
  \code{\link{bitwiseNOT}}, \code{\link{coalesce}},
  \code{\link{column}}, \code{\link{expr}},
  \code{\link{from_json}}, \code{\link{greatest}},
  \code{\link{ifelse}}, \code{\link{isnan}},
  \code{\link{least}}, \code{\link{lit}},
  \code{\link{nanvl}}, \code{\link{negate}},
  \code{\link{randn}}, \code{\link{rand}},
  \code{\link{struct}}, \code{\link{when}}
}
\concept{normal_funcs}
